class ntp::cron {
	if $fqdn != $ntp::params::ntp_server_fqdn {
		cron { ntpdate:
			command => "/usr/sbin/ntpdate $ntp::params::ntp_server_ip >> /var/log/ntpdate.log 2>&1",
			user => root,
			hour => '*/12',
			require => Class["ntp::install","ntp::service"]
		}
	}
}