class ntp::config {
	if $fqdn == $ntp::params::ntp_server_fqdn {
		file {"/etc/ntp.conf":
			ensure => file,
			owner => 'root',
			group => 'root',
			mode => '644',
			source => "puppet:///modules/ntp/puppet.ntp.conf",
			require => Class["ntp::install"],
			notify => Class["ntp::service"],
		}
	}
}