class ntp::service {
	if $fqdn == $ntp::params::ntp_server_fqdn {
		service { "ntpd":
		    enable => true,
			ensure => running,
			hasrestart => true,
			hasstatus => true,
			require => Class["ntp::config"],
		}
	}
	else {
		# Not NTP Server
		service {"crond":
			ensure => running,
			hasstatus => true,
			hasrestart => true,
			enable => true,
		}
	}
}